Subject: How to get a mini libraries for my embed linux application?

From: dony <[email-masked]>
Date: Fri, 25 Feb 2000 09:14:25 +0800

Hi, everyone:
     Since my flash is only about 2M. I am fear that there will be not
enough space to hold everything  including kernel and filesystem in my
flash in the final product. I think the share libraries will play an
important role in reducing the total size. So my questions is:
     How to get a mini libraries for my embed linux application?
Modifying the glibc packages is really an annoying thing. what 's the
alternative methods?
     dony

Subject: Re: LinuxPPC2000 on MPC860
From: [email-masked]
To: [email-masked]
Date: Thu, 24 Feb 2000 12:59:28 +0100 (CET)

Some further info.

I'm right now using the ramdisk.image.gz from the LinuxPPC-2000-lite cdrom
as nfs mounted rootdisk. (I installed the ramdisk on the PC)

Like that I get an error message right after the kernel has booted:

>...
>Looking up port of RPC 100003/2 on 10.1.20.2
>Looking up port of RPC 100005/1 on 10.1.20.2
>VFS: Mounted root (NFS filesystem) readonly.
>Freeing unused kernel memory: 32k init
>tty_io.c: process 1 (swapper) used obsolete /dev/cua0 - update software to use /dev/ttyS0

I found out that the kernel generates this error message in drivers/char/tty_io.c .

Does someone know what this error message means? How to avoid it?

TIA, Ruedi